Summary:	DMX extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia DMX
Name:		xorg-proto-dmxproto
Version:	2.3.1
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/dmxproto-%{version}.tar.bz2
# Source0-md5:	4ee175bbd44d05c34d43bb129be5098a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DMX (Distributed Multihead X) extension defines a protocol for clients
to access a front-end proxy X server that controls multiple back-end X
servers making up a large display.

%description -l pl.UTF-8
Rozszerzenie DMX (Distributed Multihead X) definiuje protokół
pozwalający klientom na dostęp do frontendowego serwera proxy X
sterującego wieloma backendowymi serwerami X tworzącymi duży ekran.

%package devel
Summary:	DMX extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia DMX
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
DMX (Distributed Multihead X) extension defines a protocol for clients
to access a front-end proxy X server that controls multiple back-end X
servers making up a large display.

%description devel -l pl.UTF-8
Rozszerzenie DMX (Distributed Multihead X) definiuje protokół
pozwalający klientom na dostęp do frontendowego serwera proxy X
sterującego wieloma backendowymi serwerami X tworzącymi duży ekran.

%prep
%setup -q -n dmxproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_includedir}/X11/extensions/dmx*.h
%{_pkgconfigdir}/dmxproto.pc
%changelog
* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d1abacc
- dropped pre-cvs changelog

* Fri Jan 07 2011 Jakub Bogusz <qboosh@pld-linux.org> db73708
- updated to 2.3.1

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 1f75047
- rel 2

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> e3a641b
- util-macros version
- DMX is an extension

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 37c3312
- up to 2.3

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 722eb35
- up to 2.2.99.1

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 12cfec7
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8e002a4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dafea11
- converted to UTF-8

* Sun May 14 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f332aaa
- no more X11R7.0 in setup

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 81bb5c0
- update md5sum for individual files.

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 6aa9ad7
- switch to individual files

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> 345eb2d
- release 1.

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 4a89112
- sources from X11R7.0 release

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> c9b8504
- pkgconfig not buildrequired here

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 8afc84c
- 2.2.2 (X11R7.0-RC4)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 8c23298
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 081c28b
- BR: autoconf >= 2.57

* Thu Oct 20 2005 jpc <jpc@pld-linux.org> dec27b3
- up to 2.2.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 1dfe37b
- kill /usr/X11R6

